#!/bin/bash

DMESG_OUT=$(dmesg | grep ttyACM)
while read a; do
    # echo $a
    TTYNAME=$(echo $a | cut -d ']' -f 2 | cut -d ' ' -f 4 | cut -d ':' -f 1)
    TTYADDR=$(echo $a | cut -d ']' -f 2 | cut -d ' ' -f 3 | cut -d ':' -f 1)
    # echo $TTYADDR
    PRODNAME=$(dmesg | grep ${TTYADDR} | grep Product: | tail -1 | cut -d ':' -f 3-)
    echo $TTYNAME:$PRODNAME
done <<< $DMESG_OUT
